Class | SM::Special
In: | rdoc/markup/simple_markup/inline.rb
Parent: | Object

Hold details of a special sequence

### Methods

== new to_s

### Attributes

text | [RW] |
type | [R] |

### Public Class methods

new(type, text)

[Source]

    # File rdoc/markup/simple_markup/inline.rb, line 75
        def initialize(type, text)
          @type, @text = type, text
        end

### Public Instance methods

==(o)

[Source]

    # File rdoc/markup/simple_markup/inline.rb, line 79
        def ==(o)
          self.text == o.text && self.type == o.type
        end

to_s()

[Source]

    # File rdoc/markup/simple_markup/inline.rb, line 83
        def to_s
          "Special: type=#{type}, text=#{text.dump}"
        end

[Validate]